# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['telefone',
 'telefone.api',
 'telefone.api.request_rescheduler',
 'telefone.api.request_validator',
 'telefone.api.response_validator',
 'telefone.api.utils',
 'telefone.exception_factory',
 'telefone.exception_factory.error_handler',
 'telefone.exception_factory.swear_handler',
 'telefone.framework',
 'telefone.framework.dispatch',
 'telefone.framework.dispatch.dispenser',
 'telefone.framework.dispatch.handler',
 'telefone.framework.dispatch.labeler',
 'telefone.framework.dispatch.middleware',
 'telefone.framework.dispatch.return_manager',
 'telefone.framework.dispatch.router',
 'telefone.framework.dispatch.rule',
 'telefone.framework.dispatch.view',
 'telefone.framework.dispatch.view.abc',
 'telefone.framework.dispatch.view.default',
 'telefone.framework.polling',
 'telefone.http',
 'telefone.tools',
 'telefone.tools.dev',
 'telefone.tools.dev.keyboard',
 'telefone.tools.dev.mini_types',
 'telefone.tools.dev.storage',
 'telefone.tools.dev.text',
 'telefone.tools.production']

package_data = \
{'': ['*']}

install_requires = \
['aiofiles>=0.8.0,<0.9.0',
 'aiohttp>=3.8.1,<4.0.0',
 'choicelib>=0.1.5,<0.2.0',
 'pydantic>=1.9.0,<2.0.0',
 'telefone-types==6.0.0.17',
 'vbml>=1.1.post1,<2.0',
 'watchgod>=0.8.2,<0.9.0']

setup_kwargs = {
    'name': 'telefone',
    'version': '0.2.2',
    'description': 'A modern Telegram Bot API framework built with speed and stability in mind',
    'long_description': '<h1 align="center">telefone</h1>\n\n<p align="center">A modern Telegram Bot API framework built with speed and stability in mind</p>\n\n<p align="center">\n    <a href="https://pypi.org/project/telefone">\n        <img src="https://img.shields.io/pypi/v/telefone?label=Current+version&style=flat-square">\n    </a>\n    <a href="https://github.com/telefone-org/framework">\n        <img alt="GitHub repo size" src="https://img.shields.io/github/repo-size/telefone-org/framework?label=Repo+size&style=flat-square">\n    </a>\n    <a href="https://github.com/telefone-org/framework/blob/main/LICENSE">\n        <img src="https://img.shields.io/pypi/l/telefone-types?label=License&style=flat-square">\n    </a>\n</p>\n\n## Install\n\n1) Stable version (recommended):\n\n    ```shell script\n    pip install -U telefone\n    ```\n\n2) Latest version (cutting-edge changes):\n\n    ```shell script\n    pip install -U https://github.com/telefone-org/framework/archive/main.zip\n    ```\n\n## Examples\n\n```python\nfrom telefone import Bot\n\nbot = Bot("your-token")\n\n\n@bot.on.message()\nasync def handler(_) -> str:\n    return "Hello world!"\n\nbot.run_forever()\n```\n\n## Advantages\n\n### 🧹 Clean API\n\nWe\'re working hard to make the experience even more flawless for developers. In contrast to our competition, we have a lot better code structure and more comprehensive constructs.\n\n### 🧑\u200d🔧 Frequent updates\n\nWe are as interested in developing this framework as you are in using it, so we aim to release a feature a week. We have a lot in planning!\n\n## Contributing\n\nTo support our work, you can:\n\n- file an issue\n- send a PR\n\nWe are always glad to see your support, so you can open an issue or make a PR in case you noticed something went wrong. Thank you!\n\n## License\n\n© 2020-2022 exthrempty\n',
    'author': None,
    'author_email': None,
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/telefone-org/framework',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.9,<4.0',
}


setup(**setup_kwargs)
